## docker.io 20.10.0+dfsg2

=== debian/changelog ===
docker.io (20.10.0+dfsg2-1) unstable; urgency=medium

  * Drop hack for oci fixtures, fixed upstream
  * No need to clean manager_linux_test
  * Use a variable for docker testflags
  * No need to export DOCKER_BUILDTAGS
  * Depends: Fix incorrect requirement on golang-dbus-dev
  * Build-Depends: Make libseccomp-dev explicit
  * Drop useless vendored directories
  * Drop Build-Depends that are obviously not used anymore
  * Group swarmkit Build-Depends for tests, not needed
  * Group k8s.io Build-Depends
  * Override dh_golang to produce better Built-Using
  * Nitpick, simplify a bit dh_install
  * Rework BUILDTIME, only needed for cli
  * Rework KEEPBUNDLE, only needed for engine
  * Nitpick, rename some variables
  * Bump dfsg in watch file
  * Big rename, build in _build instead of .gopath

 -- Arnaud Rebillout <elboulangero@gmail.com>  Mon, 14 Dec 2020 19:39:22 +0700

docker.io (20.10.0+dfsg1-1) experimental; urgency=medium

  * Build-Depends: git is only needed for tests, document that
  * Depends: Drop undefined ${perl:Depends}
  * Add patch to fix container creation time in tests
  * Drop test--skip-TestResumableRequestHeaderTooMuchFailures.patch
  * Drop test--skip-TestClientWithRequestTimeout.patch
  * Drop test--skip-TestAdapterReadLogs.patch
  * Update description for test--skip-pkg-signal-flaky-tests.patch
  * Cosmetics in d/watch
  * get-orig-source: Remove all the logs regarding the vendor tree
  * get-orig-source: Rework to mimic uscan output
  * uscan-summary: New helper to parse uscan+get-orig-source logs
  * ls-vendor: New helper to quickly list the vendor directories
  * real-upstream-version: New (tiny) helper to get original upst version
  * helpers/docker: Be a bit more verbose
  * helpers/docker: Add description, re-indent
  * Cleanup, remove obsolete build deps and Files-Excluded
  * Rework exported Go env variables in d/rules
  * Simplify GOPATH handling in d/rules
  * Add package update instructions to d/README.source
  * Move -dev package to golang Section
  * New upstream release [20.10.0]
  * ls-vendor: More granularity for golang.org
  * Vendor golang.org/x/term

 -- Arnaud Rebillout <elboulangero@gmail.com>  Wed, 09 Dec 2020 14:37:26 +0700

docker.io (20.10.0~rc1+dfsg3-1) experimental; urgency=medium

  * Bump standards version
  * Mark docker-doc with Multi-Arch: foreign
  * Remove ISC license from d/copyright
  * Minor updates in d/control
  * Add patch to skip test in pbuilder
  * Rename the bash-completion patch
  * Add moby-term-dev to the docker-dev dependencies
  * Vendor armon-go-radix (Closes: #918375)
  * Bump dfsg in d/watch
  * Fix dockerd path in docker.io.docker.init
  * Remove docker/distribution from the MUT
  * Fix lintian override in d/source
  * Update lintian tags
  * Add lintian overrides regarding missing manual pages

 -- Arnaud Rebillout <elboulangero@gmail.com>  Wed, 02 Dec 2020 13:26:52 +0700

docker.io (20.10.0~rc1+dfsg2-3) experimental; urgency=medium

  * Fix my mistakes

 -- Arnaud Rebillout <elboulangero@gmail.com>  Tue, 01 Dec 2020 08:59:44 +0700

docker.io (20.10.0~rc1+dfsg2-2) experimental; urgency=medium

  * Fix cli binary name, it is arch specific

 -- Arnaud Rebillout <elboulangero@gmail.com>  Mon, 30 Nov 2020 21:48:20 +0700

docker.io (20.10.0~rc1+dfsg2-1) experimental; urgency=medium

  * Bump containerd version to 1.4.2
  * Forbid circular dependencies during build
  * Remove commented-out block in d/rule
  * Enable part of the patch that disables the cli network tests
  * Update the patch for bash completion shebang
  * Rework apparmor, recommend it unconditionally
  * Install contrib/dockerd-rootless-setuptool.sh
  * Suggest rootlesskit
  * Conflicts with docker-ce-rootless-extras
  * Nitpicks in docker.io.install
  * docker.default: Update URLs
  * docker.init: Update according to changes upstream
  * docker.io.postinst: Add comment and indent
  * Replace dh-exec usage with manual renaming in d/rules
  * Simplify client installation: no more symlink
  * Install bash completion from docker.io.install file
  * Remove obsolete golang-github-docker-libnetwork-dev
  * Unvendor containerd step 1: Depend on containerd
  * Unvendor containerd step 2: Build-Depend on containerd
  * Unvendor containerd step 3: Bump dfsg

 -- Arnaud Rebillout <elboulangero@gmail.com>  Mon, 30 Nov 2020 15:48:02 +0700

docker.io (20.10.0~rc1+dfsg1-1) experimental; urgency=medium

  * New upstream release [20.10.0~rc1] (Closes: #840829, #974857)
  * Bump containerd version to 1.4.1
  * Revert dfsg version to 1 in d/watch
  * Update d/watch for moby/moby 20.10.0~rc1
  * Update d/copyright for {cli,engine} 20.10.0~rc1
  * Add MUT components in d/copyright
  * Rewrite the gitcommit logic completely, get docker version from control file
  * get-orig-source: Rework to support moby tarball + cli as a MUT component
  * get-orig-source: Rewrite get_vendor_tree()
  * get-orig-source: Log the vendor tree for each component
  * get-orig-source: Log the vendor tree left after removal of Files-Excluded
  * Completely rework the dependency tree for 20.10.0~rc1
  * Drop patches that are obsolete or applied upstream
  * Drop patch test--fix-test-errors.patch
  * Update patches, rename a few of them
  * Add patches to add go.mod files for {cli,engine,libnetwork}
  * Add patch to remove shebang from bash completion
  * Add containerd patches from Debian's containerd package
  * Backport containerd patches from upstream (fix FTBFS moby/buildkit)
  * Rework and split the big patch that skips privileged tests
  * Drop various hacks in d/rules dh_auto_configure
  * New hacks in d/rules dh_auto_configure
  * Set GO111MODULE=off to build
  * Remove vim-syntax-docker package
  * Remove *-integration from docker.io.install
  * Update containerd binary names in docker.io.install
  * Remove docker-runc symlink, obsolete it seems
  * Update libnetwork/ipvs to moby/ipvs in golang-...-docker-dev.install
  * Install only the docker.io package in the testbed (rather than @)

