=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg2,\
repack,compression=xz,\
dversionmangle=auto,\
uversionmangle=s{(\d)[\-]?((rc|beta)\d*)$}{$1~$2},\
" https://github.com/moby/moby/releases \
  archive/v(\d\S*)\.tar\.gz debian ./debian/get-orig-source.sh
