## docker.io 20.10.2+dfsg1

=== debian/changelog ===
docker.io (20.10.2+dfsg1-2) unstable; urgency=medium

  * Add patch to fix flaky test
  * Rename test-related patches for clarity

 -- Arnaud Rebillout <elboulangero@gmail.com>  Fri, 08 Jan 2021 14:08:51 +0700

docker.io (20.10.2+dfsg1-1) unstable; urgency=medium

  * Build-Depends += fvbommel-sortorder-dev, unvendor
  * New upstream release [20.10.2]
  * Drop patches applied upstream
  * Drop selinux build tag, no longer needed
  * Move the package to the Go Team

 -- Arnaud Rebillout <elboulangero@gmail.com>  Thu, 07 Jan 2021 08:40:41 +0700

docker.io (20.10.1+dfsg1-1) unstable; urgency=medium

  * Drop obsolete patches for good
  * Don't clean the file manager_linux_test.go, patch it instead
  * Update patches that are upstream
  * Add patch to skip failing test on mips64
  * Add dep-3 header to last patch
  * Build-Depends += golang-golang-x-term-dev, drop vendoring
  * New upstream release [20.10.1]
  * Update patches
  * Fix gbp.conf debian branch

 -- Arnaud Rebillout <elboulangero@gmail.com>  Mon, 04 Jan 2021 11:25:41 +0700
