=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 # (we clean it up appropriately ourselves)
 ENGINE_KEEPBUNDLE := 1
 
-ENGINE_BUILDTAGS := apparmor seccomp selinux
+ENGINE_BUILDTAGS := apparmor seccomp
 ENGINE_TESTFLAGS := -test.short
 
 BUILT_LIBC := $(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libc-dev-bin)
