## docker.io 20.10.3+dfsg1

=== debian/changelog ===
docker.io (20.10.3+dfsg1-2) unstable; urgency=medium

  * Drop manual run of engine tests
  * Update a patch that is now applied upstream

 -- Arnaud Rebillout <elboulangero@gmail.com>  Wed, 10 Feb 2021 09:13:49 +0700

docker.io (20.10.3+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New upstream release 20.10.3
    + CVE-2021-21285 Prevent an invalid image from crashing docker daemon
    + CVE-2021-21284 Lock down file permissions to prevent remapped root
      from accessing docker state
  * Try to run basic-smoke tests in autopkgtest isolation-container

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 09 Feb 2021 00:26:14 +0800
