## docker.io 20.10.4+dfsg1

=== debian/changelog ===
docker.io (20.10.4+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New upstream release 20.10.4
  * Remove patch which is applied in new upstream version:
    cli-build-man-pages-with-go-md2man.patch
  * Add patch to kkip TestUntarParentPathPermissions which requires root

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 27 Feb 2021 21:16:16 +0800
